package classictag;

import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class Tag01 extends TagSupport {
	private JspWriter out;

	public int doStartTag() throws JspException {
		out = pageContext.getOut();
		try{
			out.println("tag01 : doStartTag()<br/>");
		}catch(Exception ex){
			ex.printStackTrace();
		}
		return SKIP_BODY;
	}

	public int doEndTag() throws JspException {
		try{
			out.print("tag01 : doEndTag()<br/>");
		}catch(Exception ex){
			ex.printStackTrace();
		}
		return EVAL_PAGE;
	}
}
