package classictag;

import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class Tag04 extends BodyTagSupport {
	private JspWriter out;

	public int doStartTag() throws JspException {
		out = pageContext.getOut();
		try{
			out.println("tag04 : doStartTag()<br/>");
		}catch(Exception ex){
			ex.printStackTrace();
		}
		return EVAL_BODY_BUFFERED;
	}

	public int doAfterBody() throws JspException {
		try{
			String body = bodyContent.getString();
			out.print(body.toUpperCase());
		}catch(Exception ex){
			ex.printStackTrace();
		}
		return SKIP_BODY;
	}

	public int doEndTag() throws JspException {
		try{
			out.print("\ntag04 : doEndTag()<br/>");
		}catch(Exception ex){
			ex.printStackTrace();
		}
		return EVAL_PAGE;
	}
}
