package classictag;

import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class Tag05 extends BodyTagSupport {
	private JspWriter out;

	public int doStartTag() throws JspException {
		out = pageContext.getOut();
		try{
			out.println("tag05 : doStartTag()<br/>");
		}catch(Exception ex){
			ex.printStackTrace();
		}
		return EVAL_BODY_BUFFERED;
	}

	public int doAfterBody() throws JspException {
		try{
			String body = bodyContent.getString();
			for(int i = 0; i < 5; i++){
				out.print(i + " : " + body);
			}
		}catch(Exception ex){
			ex.printStackTrace();
		}
		return SKIP_BODY;
	}

	public int doEndTag() throws JspException {
		try{
			out.print("\ntag05 : doEndTag()<br/>");
		}catch(Exception ex){
			ex.printStackTrace();
		}
		return EVAL_PAGE;
	}
}
