package filter;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;

public class Filter02 implements Filter {
	private FilterConfig config;

	public void init(FilterConfig config){
		this.config = config;
	}

	public void destroy(){
	}

	public void doFilter(ServletRequest req, ServletResponse res, FilterChain chain)
		throws IOException, ServletException
	{
		System.out.print("Filter02: before");
		Enumeration en = config.getInitParameterNames();
		while(en.hasMoreElements()){
			String name = (String)en.nextElement();
			String value = config.getInitParameter(name);
			System.out.print(" " + name + "=" + value);
		}
		System.out.println();
		chain.doFilter(req, res);
		System.out.println("Filter02: after");
	}
}
