package getinfo;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;

public class Param01 extends HttpServlet {
	public void doGet(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		res.setContentType("text/plain;charset=UTF-8");
		PrintWriter out = res.getWriter();
		Enumeration en;
		out.println("-- context param --");
		ServletContext context = getServletContext();
		en = context.getInitParameterNames();
		while(en.hasMoreElements()){
			String name = (String)en.nextElement();
			String value = context.getInitParameter(name);
			out.println(name + " : " + value);
		}
		out.println("-- init param --");
		en = getInitParameterNames();
		while(en.hasMoreElements()){
			String name = (String)en.nextElement();
			String value = getInitParameter(name);
			out.println(name + " : " + value);
		}
		out.println("-- query param --");
		en = req.getParameterNames();
		while(en.hasMoreElements()){
			String name = (String)en.nextElement();
			out.print(name + " :");
			String[] values = req.getParameterValues(name);
			for(int i = 0; i < values.length; i++){
				out.print(" " + values[i]);
			}
			out.println();
		}
		out.println("-- request scope attribute --");
		en = req.getAttributeNames();
		while(en.hasMoreElements()){
			String name = (String)en.nextElement();
			String value = (String)req.getAttribute(name);
			out.println(name + " : " + value);
		}
	}
}
