package initparam;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;

public class Dispatch01 extends HttpServlet {
	public void doGet(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		res.setContentType("text/plain;charset=UTF-8");
		PrintWriter out = res.getWriter();
		String type = req.getParameter("type");
		String addr = "/servlet/getinfo.Param01/p1/p2?q1=v1&q2=v2";
		req.setAttribute("reqattr01", "Request Scope Attribute01!!");
		req.setAttribute("reqattr02", "Request Scope Attribute02!!");
		out.print("before dispatch ");
		RequestDispatcher disp = req.getRequestDispatcher(addr);
		if(type != null && type.equals("forward")){
			out.println(addr + " forward\n");
			disp.forward(req, res);
		}else{
			out.println(addr + " include\n");
			disp.include(req, res);
		}
		out.println("\nafter dispatch");
	}
}
