package initparam;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.util.*;

public class ShowAll01 extends HttpServlet {
	public void doGet(HttpServletRequest req, HttpServletResponse res)
		throws IOException, ServletException
	{
		res.setContentType("text/plain;charset=UTF-8");
		PrintWriter out = res.getWriter();
		Enumeration en;
		out.println("-- context param --");
		ServletContext context = getServletContext();
		en = context.getInitParameterNames();
		while(en.hasMoreElements()){
			String name = (String)en.nextElement();
			String value = context.getInitParameter(name);
			out.println(name + " : " + value);
		}
		out.println("-- init param --");
		en = getInitParameterNames();
		while(en.hasMoreElements()){
			String name = (String)en.nextElement();
			String value = getInitParameter(name);
			out.println(name + " : " + value);
		}
	}
}
