package listener;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class Act01 implements HttpSessionActivationListener, Serializable {
	private String data;

	public Act01(String data){
		this.data = data;
	}
	public String toString(){
		return data;
	}

	public void sessionDidActivate(HttpSessionEvent ev){
		System.out.print("Act01: Activate");
		System.out.println(" id=" +  ev.getSession().getId() + " " + data);
	}

	public void sessionWillPassivate(HttpSessionEvent ev){
		System.out.print("Act01: Passivate");
		System.out.println(" id=" +  ev.getSession().getId() + " " + data);
	}
}
