package listener;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class App01 implements ServletContextListener {
	public void contextInitialized(ServletContextEvent ev){
		System.out.print("App01: Initialize");
		printInfo(ev);
	}

	public void contextDestroyed(ServletContextEvent ev){
		System.out.print("App01: Destroy");
		printInfo(ev);
	}

	private void printInfo(ServletContextEvent ev){
		ServletContext context = ev.getServletContext();
		System.out.println(" context=" + context.getServletContextName());
	}
}
