package listener;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class Bind01 implements HttpSessionBindingListener {
	private String data;

	public Bind01(String data){
		this.data = data;
	}

	public String toString(){
		return data;
	}

	public void valueBound(HttpSessionBindingEvent ev){
		System.out.print("Bind01: Bound");
		printInfo(ev);
	}

	public void valueUnbound(HttpSessionBindingEvent ev){
		System.out.print("Bind01: Unbound");
		printInfo(ev);
	}

	private void printInfo(HttpSessionBindingEvent ev){
		HttpSession ses = ev.getSession();
		System.out.print(" id=" +  ses.getId());
		System.out.print(" name=" + ev.getName());
		System.out.println(" value=" + ev.getValue());
	}
}
