package listener;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class SesAttr01 implements HttpSessionAttributeListener {
	public void attributeAdded(HttpSessionBindingEvent ev){
		System.out.print("SesAttr01: Add");
		printInfo(ev);
	}

	public void attributeReplaced(HttpSessionBindingEvent ev){
		System.out.print("SesAttr01: Replace");
		printInfo(ev);
	}

	public void attributeRemoved(HttpSessionBindingEvent ev){
		System.out.print("SesAttr01: Remove");
		printInfo(ev);
	}

	private void printInfo(HttpSessionBindingEvent ev){
		System.out.print(" id=" +  ev.getSession().getId());
		System.out.print(" name=" + ev.getName());
		System.out.println(" value=" + ev.getValue());
	}
}
