package simpletag;

import java.io.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class Tag12 extends SimpleTagSupport {
	private String attr01;
	private JspFragment attr02;

	public void setAttr01(String attr01){
		this.attr01 = attr01;
	}
	public void setAttr02(JspFragment attr02){
		this.attr02 = attr02;
	}

	public void doTag() throws IOException, JspException {
		JspContext context = getJspContext();
		JspWriter out = context.getOut();
		JspFragment body = getJspBody();
		for(int i = 0; i < 5; i++){
			out.print(attr01);
			attr02.invoke(null);
			body.invoke(null);			
			int key05 = Integer.parseInt((String)context.getAttribute("key05"));
			context.setAttribute("key05", Integer.toString(key05 + 1));
			int key06 = Integer.parseInt((String)context.getAttribute("key06"));
			context.setAttribute("key06", Integer.toString(key06 + 1));
		}
	}
}