package classictag;

import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class Tag03 extends TagSupport {
	private JspWriter out;
	private int cnt;

	public int doStartTag() throws JspException {
		out = pageContext.getOut();
		try{
			out.println("tag03 : doStartTag()<br/>");
		}catch(Exception ex){
			ex.printStackTrace();
		}
		cnt = 0;
		return EVAL_BODY_INCLUDE;
	}

	public int doAfterBody() throws JspException {
		cnt++;
		return cnt < 5 ? EVAL_BODY_AGAIN : SKIP_BODY;
	}

	public int doEndTag() throws JspException {
		try{
			out.print("\ntag03 : doEndTag()<br/>");
		}catch(Exception ex){
			ex.printStackTrace();
		}
		return EVAL_PAGE;
	}
}
