package listener;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class AppAttr01 implements ServletContextAttributeListener {
	public void attributeAdded(ServletContextAttributeEvent ev){
		System.out.print("AppAttr01: Add");
		printInfo(ev);
	}

	public void attributeReplaced(ServletContextAttributeEvent ev){
		System.out.print("AppAttr01: Replace");
		printInfo(ev);
	}

	public void attributeRemoved(ServletContextAttributeEvent ev){
		System.out.print("AppAttr01: Remove");
		printInfo(ev);
	}

	private void printInfo(ServletContextAttributeEvent ev){
		ServletContext context = ev.getServletContext();
		System.out.print(" context=" + context.getServletContextName());
		System.out.print(" name=" + ev.getName());
		System.out.println(" value=" + ev.getValue());
	}
}
