package listener;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;

public class ReqAttr01 implements ServletRequestAttributeListener {
	public void attributeAdded(ServletRequestAttributeEvent ev){
		System.out.print("ReqAttr01: Add");
		printInfo(ev);
	}

	public void attributeReplaced(ServletRequestAttributeEvent ev){
		System.out.print("ReqAttr01: Replace");
		printInfo(ev);
	}

	public void attributeRemoved(ServletRequestAttributeEvent ev){
		System.out.print("ReqAttr01: Remove");
		printInfo(ev);
	}

	private void printInfo(ServletRequestAttributeEvent ev){
		ServletRequest req = ev.getServletRequest();
		System.out.print(" " + req.getRemoteAddr());
		System.out.print(" name=" + ev.getName());
		System.out.println(" value=" + ev.getValue());
	}
}
