package simpletag;

import java.io.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;

public class Tag13 extends SimpleTagSupport {
	private JspFragment begin;
	private JspFragment end;

	public void setBegin(JspFragment begin){
		this.begin = begin;
	}
	public void setEnd(JspFragment end){
		this.end = end;
	}

	public void doTag() throws IOException, JspException {
		JspContext context = getJspContext();
		JspFragment body = getJspBody();
		begin.invoke(null);
		body.invoke(null);
		end.invoke(null);
	}
}
