package simpletag;

import java.io.*;
import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.*;
import java.util.*;

public class Tag14 extends SimpleTagSupport implements DynamicAttributes{
	private Map attrs = new HashMap();
	private String uri;

	public void setDynamicAttribute(String uri, String local, Object value){
		this.uri = uri;
		attrs.put(local, value);
	}
	public void doTag() throws IOException, JspException {
		JspContext context = getJspContext();
		JspWriter out = context.getOut();
		out.print("tag14 " + uri);
		for(Iterator it = attrs.keySet().iterator(); it.hasNext();){
			Object local = it.next();
			out.print(" " + local + "=" + attrs.get(local));
		}
	}
}
